pw_impl_module_events Struct Reference
Implementation API » Module Impl

Module events added with pw_impl_module_add_listener. More...

## Data Fields

uint32_t | version
void(* | destroy )(void *data)
| The module is destroyed. More...
void(* | free )(void *data)
| The module is freed. More...
void(* | initialized )(void *data)
| The module is initialized. More...
void(* | registered )(void *data)
| The module is registered. More...

## Detailed Description

Module events added with pw_impl_module_add_listener.

## Field Documentation

## version

uint32_t pw_impl_module_events::version

## destroy

void(* pw_impl_module_events::destroy) (void *data)

The module is destroyed.

## free

void(* pw_impl_module_events::free) (void *data)

The module is freed.

## initialized

void(* pw_impl_module_events::initialized) (void *data)

The module is initialized.

## registered

void(* pw_impl_module_events::registered) (void *data)

The module is registered.

This is a good time to register objects created from the module.

The documentation for this struct was generated from the following file:

- pipewire/impl-module.h